SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000764SiT!otherpublic2009-07-08 15:032009-08-16 14:38
Reporterivan 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000764: Email address validation is broken
Descriptionadministrator@inl-vmware-1.local is a valid email address (on a LAN at least) but our validator chucks it out.

TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000796closed Wrong email, not being able to edit - Windows AD 

-  Notes
User avatar (0001269)
paulh (administrator)
2009-07-10 19:59

Confirming this, we expect it to end with something after a . which is between 2 and 4 characters
User avatar (0001270)
paulh (administrator)
2009-07-10 19:59

Confirming this, we expect it to end with something after a . which is between 2 and 4 characters, this is in htmlheader.inc.php
User avatar (0001370)
ivan (administrator)
2009-07-22 13:45

removed the regex check, we now just check for blank email address. Checking the email address in detail in the page header of every page seems total overkill. We can add some better validation at login or something later perhaps.

svn trunk r5550
User avatar (0001627)
ivan (administrator)
2009-08-16 14:38

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-07-08 15:03 ivan New Issue
2009-07-10 19:59 paulh Note Added: 0001269
2009-07-10 19:59 paulh Status new => confirmed
2009-07-10 19:59 paulh Note Added: 0001270
2009-07-22 11:29 ivan Relationship added has duplicate 0000796
2009-07-22 11:33 ivan Target Version => 3.50
2009-07-22 13:45 ivan Note Added: 0001370
2009-07-22 13:45 ivan Assigned To => ivan
2009-07-22 13:45 ivan Status confirmed => resolved
2009-07-22 13:45 ivan Resolution open => fixed
2009-07-22 13:45 ivan Fixed in Version => Current SVN
2009-08-16 13:16 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:38 ivan Note Added: 0001627
2009-08-16 14:38 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker